Back to reference
GET/payouts
Payouts

List payouts

Lists payouts with wallet, status and business filters.

Access tierbusiness_financeRate limit60/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/app/Http/Controllers/Api/PayoutApiController.php::indexLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
wallet_idquery
integerOptional

statusquery
stringOptional

business_idquery
integerOptional

per_pagequery
integerOptional

Page size.

Example: 20
pagequery
integerOptional

Page number.

Example: 1

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/payouts' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

Responses

200Successful response.
status
boolean
Example: true
data
any
{
  "status": true,
  "data": {
    "data": [
      {
        "id": 1,
        "uuid": "00000000-0000-4000-8000-000000000001",
        "wallet_id": 1,
        "amount": 1,
        "currency_code": "string",
        "status": "pending",
        "payout_method": null,
        "payout_destination": null,
        "description": null,
        "idempotency_key": "string",
        "attempts": [
          null
        ],
        "created_at": "2026-07-16T12:00:00Z"
      }
    ],
    "current_page": 1,
    "last_page": 4,
    "per_page": 20,
    "total": 73,
    "from": 1,
    "to": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection